#include "CS_PeGunShotSpark.h"

CS_PeGunShotSpark::CS_PeGunShotSpark()
{
	type = 3;
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"pe_gunshot_spark";
	topDraw = true;
}

void CS_PeGunShotSpark::Step()
{
	if (ani.image_index == 4)
		Destroy();
}

void SetCS_PeGunShotSpark(std::shared_ptr<Entity> parent, float x, float y)
{
	auto pe = std::make_shared<CS_PeGunShotSpark>();
	pe->x = x;
	pe->y = y;
	parent->gameFunc->SetEntity(parent, pe);
}
